
/*******************************************************************************

    igig.h
    16 Apr 11
    Colin Ramsay
    Copyright (C) 2011, The Gambit Project

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or 
    (at your option) any later version.

    This program is distributed in the hope that it will be useful, 
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

The idiot's guide to imitation games - a simple wrapper which (hopefully) works
OK in the general case.

*******************************************************************************/

#ifndef IGIG_H
#define IGIG_H

#include "iggsl.h"

extern int igigAttempts;     /* number of attempts to find FP */
extern int igigGuesses;      /* number of initial X guesses */
extern double igigDmin;      /* the domain is [Dmin,Dmax]^igDim */
extern double igigDmax;
extern int igigLimit1;       /* max IG size allowed */
extern int igigLimit2;       /* max number of GSL polishes */
extern int igigLimit3;       /* number of IG/polish loops */

void igigSetup(void);

igFPSTAT igigFindFP(igList *igl, unsigned int debug);

#endif


